import React, {Component, Fragment} from 'react'
import {Form, Input, Select, Checkbox, Button, notification, DatePicker,Row,Col} from 'antd'
import {formItemLayout, formSubBtnLayout} from '../../../config'

import fieldSet from './descriptor/cptopn'

import Api from '../../../service/api'
import './index.less'

const FormItem = Form.Item
const FromCreate = Form.create;
const {Option} = Select;
const {Search,TextArea} = Input;
@FromCreate()
export default class Cptopn extends Component {

    constructor(props) {
        super(props)
        this.state = {loading: false}
    }

    handleSubmit = (e) => {
        e.preventDefault();
        this.props.form.validateFieldsAndScroll(async (err, values) => {
            console.log(err)
            if (!err) {
                console.log('Received values of form: ', values);
                this.setState({loading: true})

            }
        });
    }

    async componentWillMount() {
        // //发起交易切换
        // const data = await Api.post('pxiadd/init',{data:{}})
        // console.log(data)
    }

    render() {
        const {getFieldDecorator} = this.props.form;
        const amtCURSelector = getFieldDecorator('cur', {
            initialValue: '',
        })(
            <Select placeholder="请选择币种" style={{ width: 70 }}>
                <Option value="156">CNY</Option>
                <Option value="840">USD</Option>
            </Select>
        );
        const amtf33bCURSelector = getFieldDecorator('curf3', {
            initialValue: '',
        })(
            <Select placeholder="请选择币种" style={{ width: 70 }}>
                <Option value="156">CNY</Option>
                <Option value="840">USD</Option>
            </Select>
        );
        return (
            <Fragment>
                <Form onSubmit={this.handleSubmit}>
                    <FormItem
                        {...formItemLayout}
                        label="业务机构"
                    >
                        {getFieldDecorator('branch', {rules: fieldSet.branch})(
                            <Input maxLength={20} placeholder="请填写业务机构"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="业务日期"
                    >
                        {getFieldDecorator('credat', {rules: fieldSet.credat})(
                            <DatePicker format="YYYY-MM-DD"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="业务编号"
                    >
                        {getFieldDecorator('ownref', {rules: fieldSet.ownref})(
                            <Input maxLength={32} placeholder="请填写业务机构"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="客户编号"
                    >
                        {getFieldDecorator('extkey', {rules: fieldSet.extkey})(
                            <Search
                                placeholder="请选择客户编号"
                                onSearch={value => console.log(value)}
                                enterButton
                            />
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="客户经理"
                    >
                        {getFieldDecorator('cusman', fieldSet.cusman)(
                            <Select placeholder="请选择客户经理">
                                <Option value="001">刘经理</Option>
                                <Option value="002">王经理</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="产品经理"
                    >
                        {getFieldDecorator('cpman', fieldSet.cpman)(
                            <Select placeholder="请选择产品经理">
                                <Option value="001">刘经理</Option>
                                <Option value="002">王经理</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="客户性质"
                    >
                        {getFieldDecorator('custyp', {rules: fieldSet.custyp})(
                            <Input maxLength={20} placeholder="请填写客户性质"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="对公/对私"
                    >
                        {getFieldDecorator('cuspr', {rules: fieldSet.cuspr})(
                            <Input maxLength={20} placeholder="请填写对公/对私"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="核心编号"
                    >
                        {getFieldDecorator('corref', {rules: fieldSet.corref})(
                            <Search
                                placeholder="请选择核心编号"
                                onSearch={value => console.log(value)}
                                enterButton
                            />
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="客户分类"
                    >
                        {getFieldDecorator('cusseg', {rules: fieldSet.cusseg})(
                            <Input maxLength={20} placeholder="请填写客户分类"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="客户名称"
                    >
                        {getFieldDecorator('ptynam', {rules: fieldSet.ptynam})(
                            <Input maxLength={20} placeholder="请填写客户名称"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="关注日期"
                    >
                        {getFieldDecorator('attdat', {rules: fieldSet.attdat})(
                            <Input maxLength={20} placeholder="请填写关注日期"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="关注原因"
                    >
                        {getFieldDecorator('attrsn', {rules: fieldSet.attrsn})(
                            <Input maxLength={20} placeholder="请填写关注原因"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="汇款方式"
                    >
                        {getFieldDecorator('paytyp', {rules: fieldSet.paytyp})(
                            <Select placeholder="请选择汇款方式">
                                <Option value="001">汇款方式001</Option>
                                <Option value="002">汇款方式002</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="汇款性质"
                    >
                        {getFieldDecorator('trntyp', {rules: fieldSet.trntyp})(
                            <Select placeholder="请选择汇款性质">
                                <Option value="001">汇款方式001</Option>
                                <Option value="002">汇款方式002</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="付款类型"
                    >
                        {getFieldDecorator('fktyp', {rules: fieldSet.fktyp})(
                            <Select placeholder="请选择付款类型">
                                <Option value="001">付款类型001</Option>
                                <Option value="002">付款类型002</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="是否离岸转手"
                    >
                        {getFieldDecorator('isoffh', {rules: fieldSet.isoffh})(
                            <Select placeholder="请选择是否离岸转手">
                                <Option value="Y">是</Option>
                                <Option value="N">否</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="离岸转手收汇时间"
                    >
                        {getFieldDecorator('offdat', {rules: fieldSet.offdat})(
                            <DatePicker format="YYYY-MM-DD HH:mm:ss"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="相关离岸业务编号"
                    >
                        {getFieldDecorator('offref', {rules: fieldSet.offref})(
                            <Input maxLength={20} placeholder="请填写相关离岸业务编号"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="交易对手性质"
                    >
                        {getFieldDecorator('oppcuspro', {rules: fieldSet.oppcuspro})(
                            <Select placeholder="请选择交易对手性质">
                                <Option value="001">交易类型001</Option>
                                <Option value="002">交易类型002</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="汇款币种金额"
                    >
                        {getFieldDecorator('amt', {rules: fieldSet.amt})(
                            <Input addonBefore={amtCURSelector} placeholder="请填写汇款币种金额"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="起息日"
                    >
                        {getFieldDecorator('valdat', {rules: fieldSet.valdat})(
                            <DatePicker format="YYMMDD"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="头寸编号"
                    >
                        {getFieldDecorator('cashref', {rules: fieldSet.cashref})(
                            <Search
                                placeholder="请选择头寸编号"
                                onSearch={value => console.log(value)}
                                enterButton
                            />
                        )}
                    </FormItem>
                    <FormItem {...formItemLayout}>
                        {getFieldDecorator('isqnam', {
                            valuePropName: 'checked',
                            initialValue: false,
                        })(
                            <Checkbox className="check_layout">同名划转</Checkbox>
                        )}
                    </FormItem>
                    <FormItem {...formItemLayout}>
                        {getFieldDecorator('othcurflg', {
                            valuePropName: 'checked',
                            initialValue: false,
                        })(
                            <Checkbox className="check_layout">小币种汇款</Checkbox>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="清算路径"
                    >
                        {getFieldDecorator('liqtyp', {rules: fieldSet.liqtyp})(
                            <Select placeholder="请选择清算路径">
                                <Option value="001">清算路径001</Option>
                                <Option value="002">清算路径002</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="报文类型"
                    >
                        {getFieldDecorator('swftyp', {rules: fieldSet.swftyp})(
                            <Select placeholder="请选择报文类型">
                                <Option value="001">103</Option>
                                <Option value="002">202</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="扣款币种金额"
                    >
                        {getFieldDecorator('amtf33b', {rules: fieldSet.amtf33b})(
                            <Input addonBefore={amtf33bCURSelector} placeholder="请填写扣款币种金额"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="汇率 (36)"
                    >
                        {getFieldDecorator('f36', {rules: fieldSet.f36})(
                            <Input maxLength={20} placeholder="请填写汇率"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="汇率计算方式"
                    >
                        {getFieldDecorator('ratcat', {rules: fieldSet.ratcat})(
                            <Select placeholder="请选择汇率计算方式">
                                <Option value="001">1</Option>
                                <Option value="002">2</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="汇款人名称及地址 (50)"
                    >
                        {getFieldDecorator('dbfadrblkcn', {rules: fieldSet.dbfadrblkcn})(
                            <TextArea  placeholder="" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="收款人编号"
                    >
                        <Row gutter={0}>
                            <Col span={10}>
                                {getFieldDecorator('extkey', {rules: fieldSet.extkey})(
                                    <Input maxLength={20} placeholder="请填写收款人编号"/>
                                )}
                            </Col>
                            <Col span={2}>
                                <Button icon="search"/>
                            </Col>
                            <Col span={4}>
                                <Button onClick={()=>{

                                }}>Details</Button>
                            </Col>
                            <Col span={2}>
                                <Button icon="question"/>
                            </Col>
                        </Row>
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="收款人名称及地址 (59)"
                    >
                        {getFieldDecorator('dbfadrblkcn', {rules: fieldSet.dbfadrblkcn})(
                            <TextArea  placeholder="" autosize/>
                        )}
                    </FormItem>
                    <FormItem {...formItemLayout}>
                        {getFieldDecorator('is59f', {
                            valuePropName: 'checked',
                            initialValue: false,
                        })(
                            <Checkbox className="check_layout">是否使用59F</Checkbox>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="我行账户行"
                    >
                        <Row>
                            <Col span={10}>
                                {getFieldDecorator('extkey', {rules: fieldSet.extkey})(
                                    <Input maxLength={20} placeholder="请填写我行账户行"/>
                                )}
                            </Col>
                            <Col span={2}>
                                <Button icon="search"/>
                            </Col>
                            <Col span={4}>
                                <Button onClick={()=>{

                                }}>Details</Button>
                            </Col>
                            <Col span={2}>
                                <Button icon="question"/>
                            </Col>
                        </Row>
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="名称及地址"
                    >
                        {getFieldDecorator('dbfadrblkcn', {rules: fieldSet.dbfadrblkcn})(
                            <TextArea  placeholder="" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="收款人账号"
                    >
                        {getFieldDecorator('pyeact', {rules: fieldSet.pyeact})(
                            <Input maxLength={20} placeholder="请填写收款人账号"/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="收款人国别"
                    >
                        <Row>
                            <Col span={10}>
                                {getFieldDecorator('stac', {rules: fieldSet.stac})(
                                    <Input maxLength={20} placeholder="请填写收款人国别"/>
                                )}
                            </Col>
                            <Col span={8}>
                                <Button>调用历史数据</Button>
                            </Col>
                        </Row>
                    </FormItem>
                    <FormItem {...formItemLayout} label="对私客户交易查询">
                        <Button icon="search"/>
                    </FormItem>
                    <FormItem {...formItemLayout}>
                        {getFieldDecorator('islink', {
                            valuePropName: 'checked',
                            initialValue: false,
                        })(
                            <Checkbox className="check_layout">关联前序融资业务</Checkbox>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="前序融资编号"
                    >
                        {getFieldDecorator('finref', {rules: fieldSet.finref})(
                            <Search
                                placeholder="请选择前序融资编号"
                                onSearch={value => console.log(value)}
                                enterButton
                            />
                        )}
                    </FormItem>
                    <FormItem {...formSubBtnLayout}>
                        <Button type="primary" htmlType="submit" loading={this.state.loading}>提交</Button>
                    </FormItem>
                </Form>
            </Fragment>
        )
    }

} 