import React, {Component, Fragment} from 'react'
import {Form, Input, Select, Button, notification} from 'antd'
import {formItemLayout, formSubBtnLayout} from '../../../../config'

import fieldSet from '../descriptor/fetfxq'

import Api from '../../../../service/api'

const FormItem = Form.Item
const FromCreate = Form.create;
const {Option} = Select;
const { TextArea } = Input;

@FromCreate()
export default class Fetfxq extends Component {

    constructor(props) {
        super(props)
        this.state = {loading: false}
    }

    handleSubmit = (e) => {
        e.preventDefault();
        this.props.form.validateFieldsAndScroll(async (err, values) => {
            console.log(err)
            if (!err) {
                console.log('Received values of form: ', values);
                this.setState({loading: true})

            }
        });
    }

    async componentWillMount() {
        // //发起交易切换
        // const data = await Api.post('pxiadd/init',{data:{}})
        // console.log(data)
    }

    render() {
        const {getFieldDecorator} = this.props.form;
        return (
            <Fragment>
                <Form onSubmit={this.handleSubmit}>
                    <FormItem
                        {...formItemLayout}
                        label="我行客户名称"
                    >
                        {getFieldDecorator('orcnam', {rules: fieldSet.orcnam})(
                            <TextArea  placeholder="请填写我行客户名称" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="交易对手名称"
                    >
                        {getFieldDecorator('oppnam', {rules: fieldSet.oppnam})(
                            <TextArea  placeholder="请填写交易对手名称" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="我行客户地址"
                    >
                        {getFieldDecorator('orcadr', {rules: fieldSet.orcadr})(
                            <TextArea  placeholder="请填写我行客户地址" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="交易对手地址"
                    >
                        {getFieldDecorator('oppadr', {rules: fieldSet.oppadr})(
                            <TextArea  placeholder="请填写交易对手地址" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="交易涉及银行1"
                    >
                        {getFieldDecorator('trnbnk1', fieldSet.trnbnk1)(
                            <TextArea  placeholder="请填写交易涉及银行1" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="交易涉及银行2"
                    >
                        {getFieldDecorator('trnbnk2', fieldSet.trnbnk2)(
                            <TextArea  placeholder="请填写交易涉及银行2" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="交易涉及银行3"
                    >
                        {getFieldDecorator('trnbnk3', fieldSet.trnbnk3)(
                            <TextArea  placeholder="请填写交易涉及银行3" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="交易涉及银行4"
                    >
                        {getFieldDecorator('trnbnk4', fieldSet.trnbnk4)(
                            <TextArea  placeholder="请填写交易涉及银行4" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="交易涉及银行5"
                    >
                        {getFieldDecorator('trnbnk5', fieldSet.trnbnk5)(
                            <TextArea  placeholder="请填写交易涉及银行5" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="交易涉及银行6"
                    >
                        {getFieldDecorator('trnbnk6', fieldSet.trnbnk6)(
                            <TextArea  placeholder="请填写交易涉及银行6" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="产地"
                    >
                        {getFieldDecorator('gooddis', {rules: fieldSet.gooddis})(
                            <TextArea  placeholder="请填写产地" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="货物类型"
                    >
                        {getFieldDecorator('goodtyp', {rules: fieldSet.goodtyp})(
                            <Select placeholder="请选择货物类型">
                                <Option value="001">货物类型001</Option>
                                <Option value="002">货物类型002</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="货物名称"
                    >
                        {getFieldDecorator('goodnam', {rules: fieldSet.goodnam})(
                            <TextArea  placeholder="请填写货物名称" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="notify"
                    >
                        {getFieldDecorator('notify', {rules: fieldSet.notify})(
                            <TextArea  autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="交易对手国别"
                    >
                        {getFieldDecorator('oppnat', {rules: fieldSet.oppnat})(
                            <TextArea  placeholder="请填写交易对手国别" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="carrier"
                    >
                        {getFieldDecorator('carrier', {rules: fieldSet.carrier})(
                            <TextArea  autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="船名"
                    >
                        {getFieldDecorator('shipnam', {rules: fieldSet.shipnam})(
                            <TextArea  placeholder="请填写船名" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="consignee"
                    >
                        {getFieldDecorator('consignee', {rules: fieldSet.consignee})(
                            <TextArea  autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="发货地"
                    >
                        {getFieldDecorator('fhdis', {rules: fieldSet.fhdis})(
                            <TextArea  placeholder="请填写发货地" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="shipper"
                    >
                        {getFieldDecorator('shipper', {rules: fieldSet.shipper})(
                            <TextArea  autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="目的地"
                    >
                        {getFieldDecorator('tagdis', {rules: fieldSet.tagdis})(
                            <TextArea  placeholder="请填写目的地" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="agent"
                    >
                        {getFieldDecorator('agent', {rules: fieldSet.agent})(
                            <TextArea  autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="起运港"
                    >
                        {getFieldDecorator('shport', {rules: fieldSet.shport})(
                            <TextArea  placeholder="请填写起运港" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="drawee"
                    >
                        {getFieldDecorator('drawee', {rules: fieldSet.drawee})(
                            <TextArea  autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="目的港"
                    >
                        {getFieldDecorator('taport', {rules: fieldSet.taport})(
                            <TextArea  placeholder="请填写目的港" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="备注"
                    >
                        {getFieldDecorator('remark', {rules: fieldSet.remark})(
                            <TextArea  placeholder="请填写备注" autosize/>
                        )}
                    </FormItem>
                    <FormItem
                        {...formItemLayout}
                        label="有效地"
                    >
                        {getFieldDecorator('valdis', {rules: fieldSet.valdis})(
                            <TextArea  placeholder="请填写有效地" autosize/>
                        )}
                    </FormItem>
                    <FormItem {...formSubBtnLayout}>
                        <Button type="primary" htmlType="submit" loading={this.state.loading}>提交</Button>
                    </FormItem>
                </Form>
            </Fragment>
        )
    }

} 